<?php

namespace Nest\Model\Events;

use Nest\Model\Entity;

/**
 * Any entity event.
 */
abstract class EntityEvent extends ModelEvent
{
	/**
	 * @param Entity $entity The entity on which the event is fired.
	 */
	public function __construct(public readonly Entity $entity)
	{}
}
