<?php

namespace Nest\Model;

use Nest\Types\Type;

class ReadableArrayBlueprint extends ArrayBlueprint
{
	public function getType(): string
	{
		return $this->type;
	}

	/**
	 * Get type instance of the given field.
	 * @return Type Type instance.
	 */
	public function getTypeInstance(): Type
	{
		return new $this->type();
	}

	public function getTable(): ?string
	{
		return $this->table;
	}

	public function getForeignKeyName(): ?string
	{
		return $this->foreignKeyName;
	}

	public function getForeignValueName(): ?string
	{
		return $this->foreignValueName;
	}
}
