<?php

namespace Nest\Model;

class ReadableEntityPropertyBlueprint extends EntityPropertyBlueprint
{
	public function getClass(): string
	{
		return $this->class;
	}

	public function isMultiple(): bool
	{
		return $this->multiple;
	}

	public function isInlineAllowed(): bool
	{
		return $this->allowInline;
	}

	public function getMode(): EntityPropertyMode
	{
		return $this->mode;
	}

	public function getLocalKey(): ?string
	{
		return $this->localKey;
	}

	public function getRelatedKey(): ?string
	{
		return $this->relatedKey;
	}

	public function getPivotTable(): ?string
	{
		return $this->pivotTable;
	}

	public function getPivotLocalKey(): ?string
	{
		return $this->pivotLocalKey;
	}

	public function getPivotRelatedKey(): ?string
	{
		return $this->pivotRelatedKey;
	}

	/**
	 * @return bool True if the field should be eager loaded.
	 */
	public function doEagerLoad(): bool
	{
		return $this->eagerLoad;
	}
}
